Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class CommonTextDecoration

    java.lang.Object
      org.apache.fop.fo.properties.CommonTextDecoration

    public class CommonTextDecoration

extends java.lang.Object

Stores all information concerning text-decoration.

Constructor Summary
`CommonTextDecoration()` Creates a new CommonTextDecoration object with default values.

Method Summary
`static CommonTextDecoration` | `createFromPropertyList(PropertyList pList)` Creates a CommonTextDecoration object from a property list.
`java.awt.Color` | `getLineThroughColor()`
`java.awt.Color` | `getOverlineColor()`
`java.awt.Color` | `getUnderlineColor()`
`boolean` | `hasLineThrough()`
`boolean` | `hasOverline()`
`boolean` | `hasUnderline()`
`boolean` | `isBlinking()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonTextDecoration

    public CommonTextDecoration()

  Creates a new CommonTextDecoration object with default values.

Method Detail

### createFromPropertyList

    public static CommonTextDecoration createFromPropertyList(PropertyList pList)
                                                       throws PropertyException

  Creates a CommonTextDecoration object from a property list.

  Parameters:
    `pList` - the property list to build the object for
  Returns:
    a CommonTextDecoration object or null if the obj would only have default values
  Throws:
    `PropertyException` - if there's a problem while processing the property

### hasUnderline

    public boolean hasUnderline()

  Returns:
    true if underline is active

### hasOverline

    public boolean hasOverline()

  Returns:
    true if overline is active

### hasLineThrough

    public boolean hasLineThrough()

  Returns:
    true if line-through is active

### isBlinking

    public boolean isBlinking()

  Returns:
    true if blink is active

### getUnderlineColor

    public java.awt.Color getUnderlineColor()

  Returns:
    the color of the underline mark

### getOverlineColor

    public java.awt.Color getOverlineColor()

  Returns:
    the color of the overline mark

### getLineThroughColor

    public java.awt.Color getLineThroughColor()

  Returns:
    the color of the line-through mark

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.